parameters:
    inferPrivatePropertyTypeFromConstructor: true
    excludes_analyse:
        - '%currentWorkingDirectory%/src/Infrastructure/Persistence/Eloquent/Models/*'
        - '%currentWorkingDirectory%/src/App/Framework/Laravel/PikeServiceProvider.php'
    ignoreErrors:
        - '#Call to an undefined method[\s]+.+?MiamiOH\\Pike\\Infrastructure\\Persistence\\Eloquent\\Models\\.+?::.+#'
